/**
 * `promiseWithResolvers` is a polyfill for Promise#withResolvers.
 *
 * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Promise/withResolvers
 */
export const promiseWithResolvers = () => {
    // @ts-expect-error: Ssh, we're about to add properties to this object
    const result = {};
    result.promise = new Promise((resolve_, reject_) => {
        result.resolve = resolve_;
        result.reject = reject_;
    });
    return result;
};
//# sourceMappingURL=promise_with_resolvers_polyfill.js.map